Bug 188928 - default munin.conf lists fedora build host
default munin.conf lists fedora build host
Product: Fedora
Classification: Fedora
Component: munin (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-04-13 14:18 EDT by Curtis Doty
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-04-23 19:19:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2006-04-13 14:18:55 EDT
The default /etc/munin/munin.conf includes a section for monitoring the hostname
of the Fedora build host. It still actually monitors, but the name is
totally wrong and confusing. Two options exist:

#1 oneliner sed/perl hack in specfile to use "localhost" as defalt name

#2 or more interestingly, tweak the %post script to adjust it dynamically

Option #1 has the benefit of being simpler and does not alter the verification
status of the rpm database. Whereas, option #2 produces more friendly default
html, but at the expense of immediately flagging the newly installed package as
Comment 1 Kevin Fenzi 2006-04-15 13:36:13 EDT
I thought I had already put in a sed to fix that, but I guess not. ;) 

I will investigate and see about a solution. 
Thanks for the bug report!
Comment 2 Kevin Fenzi 2006-04-23 19:19:52 EDT
This should be fixed in the new version I just fired off builds for in the build

If you see the bug reappear after updating to the next release, please open 
this bug or file a new one. 


Note You need to log in before you can comment on or make changes to this bug.